Versão de compilador

Oi pessoal!!!
Estou fazendo uma aplicação de visualizador de imagens mas não reconhece o
import javax.microedition.io.Connector; a nem o
import javax.microedition.io.ContentConnection;
Estou usando o Wireless Toolkit 2.5 e adiciono na biblioteca do do projeto no Net Beans o midpapi20.jar
Já tentei usar o Wireless Toolkit 2.5.2 que é uma versão mais nova e tive problemas, nele não achei nenhum .jar para adicionar nas bibliotecas.
Alguem pode me ajudar???
Agradeço a atenção de vc!!!